aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-protobuf
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2016-06-07 01:13:30 +0200
committerJakub Jirutka <jakub@jirutka.cz>2016-06-07 01:17:22 +0200
commitd2bf7137c317e74d7c7be269cb4c7e20a57ce255 (patch)
tree25e2b09557639f7648dcf54926c84fc81447100a /testing/py-protobuf
parent71ee258c3c51aa40342ad30de2e2bad8c5880abc (diff)
downloadaports-d2bf7137c317e74d7c7be269cb4c7e20a57ce255.tar.gz
aports-d2bf7137c317e74d7c7be269cb4c7e20a57ce255.tar.bz2
aports-d2bf7137c317e74d7c7be269cb4c7e20a57ce255.tar.xz
testing/py-protobuf: fix incorrect permissions in *.egg-info
Diffstat (limited to 'testing/py-protobuf')
-rw-r--r--testing/py-protobuf/APKBUILD10
1 files changed, 8 insertions, 2 deletions
diff --git a/testing/py-protobuf/APKBUILD b/testing/py-protobuf/APKBUILD
index 4678c666f4..6a1b73190c 100644
--- a/testing/py-protobuf/APKBUILD
+++ b/testing/py-protobuf/APKBUILD
@@ -3,7 +3,7 @@
pkgname=py-protobuf
_pkgname=${pkgname#py-}
pkgver=2.6.1
-pkgrel=1
+pkgrel=2
pkgdesc="Google's data interchange format."
url="https://github.com/google/protobuf"
arch="noarch"
@@ -20,7 +20,13 @@ build() {
package() {
cd "$builddir"
- python setup.py install --prefix=/usr --root="$pkgdir"
+
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+
+ # Workaround for https://github.com/google/protobuf/issues/737.
+ # The files under protobuf.egg-info lack read permission for "other",
+ # which causes `python setup.py build` failures for other packages.
+ chmod o+r "$pkgdir"/usr/lib/python2.7/site-packages/$_pkgname-$pkgver-py2.7.egg-info/*
}
md5sums="6bf843912193f70073db7f22e2ea55e2 py-protobuf-2.6.1.tar.gz"